## Name

textureQueryLevels — compute the number of accessible mipmap levels of a texture

## Declaration

`int textureQueryLevels(` | gsampler1D sampler`)`;

`int textureQueryLevels(` | gsampler2D sampler`)`;

`int textureQueryLevels(` | gsampler3D sampler`)`;

`int textureQueryLevels(` | gsamplerCube sampler`)`;

`int textureQueryLevels(` | gsampler1DArray sampler`)`;

`int textureQueryLevels(` | gsampler2DDArray sampler`)`;

`int textureQueryLevels(` | gsamplerCubeArray sampler`)`;

`int textureQueryLevels(` | gsampler1DShadow sampler`)`;

`int textureQueryLevels(` | gsampler2DShadow sampler`)`;

`int textureQueryLevels(` | gsamplerCubeShadow sampler`)`;

`int textureQueryLevels(` | gsampler1DArrayShadow sampler`)`;

`int textureQueryLevels(` | gsampler2DArrayShadow sampler`)`;

`int textureQueryLevels(` | gsamplerCubeArrayShadow sampler`)`;

## Parameters

`sampler`

  Specifies the sampler to which the texture whose mipmap level count will be queried is bound.

## Description

`textureQueryLevels` returns the number of accessible mipmap levels in the texture associated with `sampler`.

If called on an incomplete texture, or if no texture is associated with `sampler`, zero is returned.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
textureQueryLevels | - | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔

## See Also

texelFetch, texelFetchOffset, texture, textureGather, textureGatherOffset, textureGatherOffsets, textureGrad, textureGradOffset, textureLod, textureLodOffset, textureOffset, textureProj, textureProjGrad, textureProjGradOffset, textureProjLod, textureProjLodOffset, textureProjOffset, textureSize

## Copyright

Copyright © 2012-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.